From 8ef9450b37df3b96f3054075ba56b8eb49bb2cfc Mon Sep 17 00:00:00 2001
From: Jo-Philipp Wich <jow@openwrt.org>
Date: Mon, 28 May 2012 03:24:56 +0000
Subject: [PATCH] base-files: add network_get_device() to network.sh

SVN-Revision: 31937
---
 package/base-files/files/lib/functions/network.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/package/base-files/files/lib/functions/network.sh b/package/base-files/files/lib/functions/network.sh
index 1b42133ba2..159da09a0d 100644
--- a/package/base-files/files/lib/functions/network.sh
+++ b/package/base-files/files/lib/functions/network.sh
@@ -39,3 +39,18 @@ network_get_ipaddr6() { __network_ipaddr "$1" "$2" 6 0; }
 
 network_get_subnet()  { __network_ipaddr "$1" "$2" 4 1; }
 network_get_subnet6() { __network_ipaddr "$1" "$2" 6 1; }
+
+
+network_get_device()
+{
+	local __var="$1"
+	local __iface="$2"
+
+	local __tmp="$(ubus call network.interface."$__iface" status 2>/dev/null)"
+	[ -n "$__tmp" ] || return 1
+
+	json_load "$__tmp"
+	json_get_var "$__var" device
+
+	return 0
+}
-- 
GitLab